Subject: 4 fr. extractor for sale

From: [email-masked] (Joel Govostes)
Date: Tue, 10 Sep 1996 21:51:01 -0500

I saw an ad in the local free paper for a 4 frame extractor, with motor. 
The seller is only asking 100 dollars.  This is in Ithaca, NY area.  If
anyone is interested (seriously) e-mail me and I can check it out.  --
Joel